# @foundation-base/navbar

> Base navbar component for foundation

## Props

### `avatarImg : string`

This is an input to the `src` prop of the `Avatar` component and is responsible for displaying the Profile/Avatar image

### `avatarAlt : string`

This is an input to the `alt` prop of the `Avatar` component and is responsible for displaying the Profile/Avatar initials/text

### `showNotifications : boolean`

The `showNotifications` prop is to show or hide the notifications

### `links: { logoLink: string, navLinks: navLink[], profileLinks: profileLink[] }`

The `links` prop contains information regarding all the different types of Links required for the navbar component.

```
type navLink = {
  active: boolean;
  id: number;
  label: string;
  href?: string;
  count?: number;
};
```

```
type profileLink = {
  id: number;
  label: string;
  href?: string;
};
```

## Other Function Props

```
onLogoClick?: (e: any) => void;
onProfileOptionClick?: (e: any) => void;
onNavLinkClick?: (e: any) => void;
onSearchInputChange?: (e: any) => void;
onSearchInputSubmit?: (e: any) => void;
```

## Install

```bash
npm install --save @foundation-base/navbar
```

## License

MIT © [lijoejohn](https://github.com/lijoejohn)
