import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const Navbar: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        links: PropTypes.Requireable<object>;
        avatarImg: PropTypes.Requireable<string>;
        avatarAlt: PropTypes.Requireable<string>;
        showNotifications: PropTypes.Requireable<boolean>;
        onLogoClick: PropTypes.Requireable<(...args: any[]) => any>;
        onProfileOptionClick: PropTypes.Requireable<(...args: any[]) => any>;
        onNavLinkClick: PropTypes.Requireable<(...args: any[]) => any>;
        onSearchInputChange: PropTypes.Requireable<(...args: any[]) => any>;
        onSearchInputSubmit: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        links: {};
        avatarImg: undefined;
        avatarAlt: undefined;
        showNotifications: undefined;
        onLogoClick: undefined;
        onProfileOptionClick: undefined;
        onNavLinkClick: undefined;
        onSearchInputChange: undefined;
        onSearchInputSubmit: undefined;
    };
};
export default Navbar;
